Author Topic: No Loader is installed, please try to run this command or contact support  (Read 1138 times)

0 Members and 1 Guest are viewing this topic.

Offline
**
Hi,

updated php to 7.2.29 and cwp stoped working.

No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restart

https://ibb.co/KXbtZbZ

How to fix it? Help!

Dose not work
https://wiki.centos-webpanel.com/no-loader-is-installed-please-contact-support

Offline
*
Hi,

Same error for me.

Tried everything,  even downloaded ioncube and replaced files. Still not working.



Offline
**
Any help from admin please?  :-[  WILL THERE BE AN UPDATE GLOBALY FOR CWP PRO?

php -v
PHP 7.2.29 (cli) (built: Apr 17 2020 11:43:05) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
[root@host ~]# /usr/local/cwp/php71/bin/php -v
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
PHP 7.2.30 (cli) (built: Apr 23 2020 03:56:24) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies

 :'(
Seems to me an older version for the Loader
7.1
API320151012
7.2.9
API320170718

Some info - https://stackoverflow.com/questions/29531285/cannot-load-the-ioncube-php-loader-it-was-built-with-configuration-2-2-0
« Last Edit: April 24, 2020, 06:05:41 PM by johnny09 »

Offline
*
If you get error like:
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

then run this:

Code: [Select]
sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
sh /scripts/restart_cwpsrv
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
**
Now I get

This page isnít working 192.168.11.11 is currently unable to handle this request.
HTTP ERROR 500

Offline
***
please post the output of

tail -n 50 /usr/local/cwpsrv/logs/error_log
Google Hangouts:  rcschaff82@gmail.com

Offline
**
Code: [Select]
tail -n 50 /usr/local/cwpsrv/logs/error_log
2020/04/24 11:22:25 [warn] 17600#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:22:43 [warn] 17786#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:23:17 [warn] 18104#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:24:08 [warn] 18546#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:24:40 [warn] 18757#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:25:00 [warn] 18864#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:25:18 [warn] 19096#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 11:25:21 [warn] 19136#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 19:10:50 [error] 19138#0: *9 open() "/usr/local/cwpsrv/htdocs/admin/f                                                                             avicon.ico" failed (2: No such file or directory), client: 192.168.11.16, server                                                                             : localhost, request: "GET /favicon.ico HTTP/1.1", host: "192.168.11.250:2031",                                                                              referrer: "https://192.168.11.250:2031/"
2020/04/24 19:14:41 [warn] 13754#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 19:57:00 [warn] 27803#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 19:58:24 [warn] 28481#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:03:45 [warn] 31059#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:13:48 [warn] 9866#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:13:51 [crit] 9868#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:13:52 [crit] 9868#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:13:52 [crit] 9868#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:13:59 [warn] 9895#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:14:01 [crit] 9899#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:14:02 [crit] 9899#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:14:14 [crit] 9899#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:14:15 [crit] 9899#0: *3 connect() to unix:/usr/local/cwp/php71/var                                                                             /sockets/cwpsrv.sock failed (2: No such file or directory) while connecting to u                                                                             pstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1", up                                                                             stream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "1                                                                             92.168.11.250:2031"
2020/04/24 20:15:11 [warn] 10605#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:16:02 [warn] 12087#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:22:00 [warn] 14434#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:22:46 [warn] 14669#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:29:06 [warn] 16643#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:29:42 [warn] 16826#0: the "ssl" directive is deprecated, use the "                                                                             listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/24 20:47:51 [error] 16830#0: *103 open() "/usr/local/cwpsrv/htdocs/admin                                                                             /favicon.ico" failed (2: No such file or directory), client: 192.168.11.16, serv                                                                             er: localhost, request: "GET /favicon.ico HTTP/1.1", host: "192.168.11.250:2031"                                                                             , referrer: "https://192.168.11.250:2031/"
2020/04/25 11:48:24 [warn] 7520#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/25 11:48:36 [warn] 7645#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/25 11:49:08 [error] 7648#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 11:49:09 [error] 7648#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 11:50:18 [warn] 8223#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/25 11:50:32 [warn] 8341#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/25 11:50:46 [error] 8344#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 11:50:47 [error] 8344#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 11:50:48 [error] 8344#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 11:50:48 [error] 8344#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 12:00:34 [warn] 2821#0: the "ssl" directive is deprecated, use the "l                                                                             isten ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
2020/04/25 12:15:33 [error] 2824#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
2020/04/25 12:15:33 [error] 2824#0: *3 FastCGI sent in stderr: "PHP message: PHP                                                                              Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by                                                                              the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ion                                                                             Cube Encoder for PHP 7.1. in Unknown on line 0" while reading response header fr                                                                             om upstream, client: 192.168.11.16, server: localhost, request: "GET / HTTP/1.1"                                                                             , upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host                                                                             : "192.168.11.250:2031"
« Last Edit: April 25, 2020, 09:25:30 AM by johnny09 »

Offline
***
From Sandeep to several complaining of the same issue
Quote
Hello,

Test what is the cwp PHP version and if it is updated to 7.2

/usr/local/cwp/php71/bin/php -v
PHP 7.2.30

if PHP was not updated to 7.2 then try manually
yum update cwpphp --enablerepo=cwp

**Manual update CentOS 7 (ignore if you have CentOS 6)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget static.cdn-cwp.com/files/cwp/el7/cwp-el7-0.9.8.961.zip
unzip -o -q cwp-el7-0.9.8.961.zip
rm -f cwp-el7-0.9.8.961.zip
```

**Manual update CentOS 6 (ignore if you have CentOS 7)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget dl1.centos-webpanel.com/files/cwp/cwp2-0.9.8.765.zip
unzip -o cwp2-0.9.8.765.zip
rm -f cwp2-0.9.8.765.zip
```


**Manual update for services (This steep must be done for CentOS 6 and 7)**
```
cd /usr/local/cwpsrv/var/services/
wget static.cdn-cwp.com/files/cwp/el7/cwp-services.zip
unzip -o -q cwp-services.zip
rm -f cwp-services.zip
```

Test if all is ok, it should run update without errors
```
sh /scripts/update_cwp
```

If you get error like:
> Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

then run this:

```
sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
sh /scripts/restart_cwpsrv
Google Hangouts:  rcschaff82@gmail.com

Offline
**
Worked, I reinstalled it on my centos 6, thanks a lot  ;)
« Last Edit: April 25, 2020, 09:43:04 AM by johnny09 »

Offline
***
Did you do the manual update of the files?

try /scripts/update_cwp
Google Hangouts:  rcschaff82@gmail.com

Offline
*
From Sandeep to several complaining of the same issue
Quote
Hello,

Test what is the cwp PHP version and if it is updated to 7.2

/usr/local/cwp/php71/bin/php -v
PHP 7.2.30

if PHP was not updated to 7.2 then try manually
yum update cwpphp --enablerepo=cwp

**Manual update CentOS 7 (ignore if you have CentOS 6)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget static.cdn-cwp.com/files/cwp/el7/cwp-el7-0.9.8.961.zip
unzip -o -q cwp-el7-0.9.8.961.zip
rm -f cwp-el7-0.9.8.961.zip
```

**Manual update CentOS 6 (ignore if you have CentOS 7)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget dl1.centos-webpanel.com/files/cwp/cwp2-0.9.8.765.zip
unzip -o cwp2-0.9.8.765.zip
rm -f cwp2-0.9.8.765.zip
```


**Manual update for services (This steep must be done for CentOS 6 and 7)**
```
cd /usr/local/cwpsrv/var/services/
wget static.cdn-cwp.com/files/cwp/el7/cwp-services.zip
unzip -o -q cwp-services.zip
rm -f cwp-services.zip
```

Test if all is ok, it should run update without errors
```
sh /scripts/update_cwp
```

If you get error like:
> Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

then run this:

```
sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
sh /scripts/restart_cwpsrv


Thank you, Worked for me.

About my installation. Mine is PHP7.2.3.

Offline
*
thank you so much you saved me a lot of time .. worked for me too CentOS 6 it was running PHP 7.2.30 ..

Offline
**
Yes, manually reinstalled like you said, thanks a lot, hope it will help and work for others to. 

Offline
*
I have done all above steps, but I can't go to my VM!
Aany one help me?